Name: avinfo
Version: 0.7.4
Release: alt1

Summary: AVInfo is a utility for output information about AVI files
Summary(ru_RU.KOI8-R): AVInfo -      avi 
Group: Video
License: GPL
Url: http://shounen.ru/soft/%name/

Source: %url/%name-%version-src.zip
Patch: %name-0.7.4-alt-doc.patch

BuildPreReq: unzip

%description
AVInfo is a utility for displaying AVI header information. It returns the
length of a clip, FPS, resolution, codec, sound parametrs, and the number
and type of streams, including detailed information for each.

%description -l ru_RU.KOI8-R
AVInfo -           
avi . ,   ,  
   ,    .
         
  . ,  -    
   .
     -     
  -         .

%prep
%setup -q -c %name-%version
%patch -p1

find -type f -print0 | xargs -r0 %__subst 's,
,,g
s,,,g'

pushd DOC
%define ru_files *.ru info_chunk
for f in %ru_files; do
iconv -s -f cp866 -t koi8-r -o ../$f $f
%__subst 's,866\( codepage\),KOI8-R\1,' ../$f
%__rm -f $f
done
popd
%__mv %ru_files DOC/

%build
pushd src
%make_build OUTPUTNAME=%name
popd

%install
%__install -pD src/%name %buildroot%_bindir/%name

%files
%_bindir/*
%doc DOC/* samples 

%changelog
* Sun Nov 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.4-alt1
- 0.7.4

* Sat Aug 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.3-alt1
- 0.7.3

* Wed Jun 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.2-alt1
- 0.7.2

* Mon Mar 31 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.1-alt1
- 0.7.1

* Fri Mar 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7-alt1
- 0.7

* Fri Feb 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6-alt1
- 0.6

* Mon Feb 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5-alt0.5
- new version.

* Thu Jan 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4-alt0.5b
- First build for Sisyphus.
